% graphical analysis of the logistic equation

set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);

u = [0:.01:2];
f = u.*(1-u);

figure(1)
plot(u,f,u,zeros(1,length(u)),'--',[0,1],[0,0],'k*','linewidth',2)
axis([0 1.5 -0.5 0.5])
xlabel('u','fontsize',20)
ylabel('du/dt','fontsize',20)

annotation('textarrow',[.35,.45],[.6,.6],'linewidth',2)
annotation('textarrow',[.8,.7],[.6,.6],'linewidth',2)
set(gca, 'XTick',0 : 0.25 : 1.5);
set(gca, 'YTick',-0.5 : 0.25 : 0.5);

g=log(u./abs(1-u));

figure(2)
plot(g,u,[-5,5],[1,1],'--','linewidth',2)
set(gca, 'XTick',-5 : 2.5 : 5);
set(gca, 'YTick',0 : 0.25 : 1.5);
axis([-5 5 0 1.5])
xlabel('t','fontsize',20)

ylabel('u(t)','fontsize',20)
